WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Around this date in the past... - Widget Edition

It shows entries/posts around today's date in the past (if they exist). It is highly customizable.

0.8

  • Added a dashboard widget (WP 2.7+)

0.7.7

  • Bugfixing release. Show excerpts when present, now for real :)
  • Remove the [caption] tags if present on the exerpt
  • Remove &quotes; in titles

0.7.6

*XHTML validation

0.7.5

  • $limit variable now works again
  • Adapted the Database query to the new $wpdb->prepare structure

0.7.3

  • Added atd-noentries class

0.7.2

  • Bugfixing release. Changes contributed by Mike Koepke.
  • Ordering in SQL statement wasn't specify which column to order on
  • Added post_type qualifier to SQL statement as pages would be pulled as well
  • Added new year subtitle display option to hide the year sublist text
  • PostExcerpt and Date weren't working correctly
  • Code cleanup.
  • Cosmetic changes in output

0.7.1

  • Bugfixing release. Changes contributed by Mike Koepke.
  • New options weren't initilized correctly when upgrading.
  • Control Screen cleaned up.

v0.7

  • All displayed in a single list with yearly sublists.
  • NEW Feature: display date and/or excerpt.
  • NEW Feature: added CSS markup to allow maximum flexibility on display.

0.6.3

  • Fixed a bug when calling get_old_posts().

0.6.2

  • Fixed a bug when having & in post's title. Isolated repetitive code in its own function. Changes contributed by Mike Koepke.

0.6.1

  • Fixed a bug when having quotes in post's title. Thanks to Mike Koepke for bug repporting and helping with fixing.

0.6

  • Added 2 new modes, last X years and since year X.
  • Corrected bug in $start_ago and $end_ago.

0.5.2

  • XHTML valid. Thanks to to Luis Pérez

0.5.1

  • Added the $daysbefore and $daysafter parameters.

0.5.01

  • Now the limit option works, for real ;)

0.5

  • First release. I decided to start on version 0.5 because of preserving version relation with “One year ago” plugin.

Requires: 2.0 or higher
Compatible up to: 2.8
Last Updated: 2008-11-23
Downloads: 3,284

Ratings

4 stars
4.8 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1